#ifndef MENU_H
#define MENU_H
#include "global.h"
#include "Data.h"
#include "Drawer.h"

enum mim_main { mim_quickrace=0, mim_career, mim_options, mim_about, mim_exit, 
	mim_sound,mim_sound_value,mim_particles,mim_particles_value,mim_textures,mim_textures_value,mim_mode,mim_mode_value,
	mim_practice, mim_single_race, mim_championship, mim_setup_bike, mim_change_profile, mim_help_career,
	mim_count };
enum prev_main { prev_quit, prev_main };

class Menu :public Drawer {
private:
	Sprite lsprite; int lw,lh;
	declare_wh(bl);
	declare_wh(m1); real main_h;
	declare_wh(m2); int second_w; bool show_second;
	declare_wh(s);
	declare_wh(w);
	declare_wh(b);
	declare_fade;
	
	int my_global_scale;
	void Reload();
//	real la;
	
	int mx,my,sel_fnum;
	int last_move_time;
	int second_x,second_y;
	real sel_target_x, sel_target_y;
	
	string second_title;
	bool in_options;
	bool show_help;
	
	string help[mim_count+profile_max][3];
	string items[mim_count+profile_max];
	bool visible[mim_count+profile_max];
	int tostart[mim_count+profile_max];
	unsigned int charsdone[mim_count+profile_max];
	int pos[mim_count+profile_max][2];
	int sel_level[mim_count+profile_max];
	bool selected[mim_count+profile_max];
	bool align_right[mim_count+profile_max];
	bool main_done;
	int selection, prev_menu;
	
public:
	
	Menu();
	void Reset(bool all=true);
	void Main();
	void Draw();
	void SelMove(bool up);
	void SelOk();
	void SelOkMain();
	void SelOkOptions(bool up);
	void SelChangeOptions(bool up);
	void SelOkProfile();
	void SelSide(bool right);
	void SelCancel();
	void Delete();
	void Profile();
	void ReloadProfiles();
	void ReloadOptions();
	void ViewSecond(string title, int i1, int i2, int is=0);
	
};

#endif

