#ifndef CONFIG_H
#define CONFIG_H

struct Config {
	int num_modes, *modes_h,*modes_w, cur_mode, old_mode;
	bool fullscreen, old_fullscreen;
	bool music_on;
	bool sound_on;
	bool extra_fx;
	bool shaders_on;
	bool changed;
	int particles_low;
	int particles_hi;
	int real_w,real_h;
	bool low_textures;
	Config();
	~Config();
	void LoadModes();
	void ChangeTextures(bool up);
	void ChangeMode(bool up);
	void ChangeSound(bool up);
	void ChangeParticles(bool up);
	void Save();
};

extern Config *config;

#endif

